You can not install this extension because it looks damaged Rated 5 out of 5 stars

Hallo,
I did the instructions of justtryingtohelp, Ramon & 101000. I used 7-zip to extract the files, made the changes then re-zipped them.
I renamed the resultant file from .7z to .xpi as greysts wrote on 29.3.11.
When I tried to add it by FF I got the answer: "You can not install this extension because it looks damaged".

I did also with WinRar and I got the same anwer.

I would really appreciate advice & solution.